MySQL Forums
Forum List  »  French

debian 3.1: Call to undefined function: mysql_connect()
Posted by: T. Ferdinand GUINKO
Date: October 13, 2006 03:15AM

Bonjour,

j'utilise debian 3.1, et ai ce message d'erreur quand j'exécute un formulaire basé sur php/mysql sur mon serveur web:
Quote

Fatal error: Call to undefined function: mysql_connect() in /var/www/html/conferences/jmeree/php/connexion.php on line 21

Ici se trouve mon fichier phpinfo() file: http://www.univ-ouaga.bf/uo/phpinfo.php . Selon ce fichier, mysql ne serait pas installé sur mon serveur.

Quand je saisi cette commande dpkg -l | grep mysql, j'obtiens ceci
Quote

# dpkg -l | grep mysql
ii libdbd-mysql-p 2.9006-1 A Perl5 database interface to the MySQL data
ii libmysqlclient 4.0.24-10sarge mysql database client library
ii libmysqlclient 4.1.11a-4sarge mysql database client library
ii libmysqlclient 4.1.11a-4sarge mysql database development files
rc libmysqlclient 5.0.24a-3 mysql database client library
ii mysql-client-4 4.1.11a-4sarge mysql database client binaries
rc mysql-common 5.0.24a-3 mysql database common files (e.g. /etc/mysql
ii mysql-common-4 4.1.11a-4sarge mysql database common files (e.g. /etc/mysql
ii mysql-server-4 4.1.11a-4sarge mysql database server binaries
rc php4-mysql 4.4.4-1 MySQL module for php4

Dans le fichier /etc/php4/apache2/php.ini j'ai décommenté cette ligne
Quote

"extension=mysql.so"

Quand j'essaie cette commande apt-get install php4-mysql, j'obtiens ceci
Quote

# apt-get install php4-mysql
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.

Puisque vous n'avez demandé qu'une seule opération, le paquet n'est
probablement pas installable et vous devriez envoyer un rapport de bogue.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
php4-mysql: Dépend: phpapi-20020918
Dépend: php4-common (= 4:4.3.10-16) mais 4:4.4.4-1 devra être installé
E: Paquets défectueux

Quelqu'un peut il m'aider? Merci

Options: ReplyQuote


Subject
Views
Written By
Posted
debian 3.1: Call to undefined function: mysql_connect()
9927
October 13, 2006 03:15AM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.